#!/bin/bash

VERSION="23.05.0"

podman build \
       --build-arg=IB_URL="https://downloads.openwrt.org/releases/${VERSION}/targets/ath79/generic/openwrt-imagebuilder-${VERSION}-ath79-generic.Linux-x86_64.tar.xz" \
       -t "openfest-openwrt-ath79:${VERSION}" .

for ap_dir in specific_config/ath79/dlink_dap-2695-a1/*
do
    customization_name="$(basename ${ap_dir})"
    tmpdir="tmp/${customization_name}"

    mkdir -p "${tmpdir}"
    mkdir -p "tmp/dl"
    mkdir -p "bin"
    cp -rvp generic_config/ath79/dlink_dap-2695-a1/* "${tmpdir}/"
    cp -rvp "${ap_dir}"/* "${tmpdir}/"

    podman run \
           --rm \
           -ti \
           -v "$(pwd)/bin:/out:z" \
           -v "$(pwd)/${tmpdir}:/files:z" \
           -v "$(pwd)/tmp/dl:/ib/dl:z" \
           "openfest-openwrt-ath79:${VERSION}" \
           make image PROFILE=dlink_dap-2695-a1 \
                      PACKAGES='kmod-ath10k -kmod-ath10k-ct -ath10k-firmware-qca988x-ct ath10k-firmware-qca988x -wpad-basic-mbedtls wpad-wolfssl usteer tcpdump-mini mtr iperf3 ethtool bwm-ng luci ebtables ip-bridge socat' \
                      DISABLED_SERVICES='dnsmasq odhcpd firewall' \
                      BIN_DIR=/out \
                      FILES=/files \
                      EXTRA_IMAGE_NAME="${customization_name}"\
                      V=sc
done

rm -rf "tmp"
